# Uses of Class
org.sunflow.core.LightSample

Packages that use LightSample
Package
Description
org.sunflow.core

## Uses of LightSample in org.sunflow.core

Methods in org.sunflow.core that return types with arguments of type LightSample
Modifier and Type
Method
Description
`Iterator<LightSample>`
ShadingState.`iterator()`
Allows iteration over current light samples.
Methods in org.sunflow.core with parameters of type LightSample
Modifier and Type
Method
Description
`final void`
ShadingState.`addSample(LightSample sample)`
Add the specified light sample to the list of lights to be used